<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class WareArtikel extends Ware
{
  
  public $artikel;

  public function getVarValue($name)
  {
    if ($this->VarExist($name)) {
      return Datamodul::getVarValue($name);
    } elseif ($this->artikel != null) {
      if ($this->artikel->VarExist($name)) {
        return $this->artikel->getVarValue($name);
      } elseif ($name === 'is_pauschal_versand') {
        return $this->artikel->getVarValue('is_pauschal_versand');
      } elseif ($name === 'summe') {
        $preis = $this->artikel->getVarValue('verkaufspreis_brutto');
        $preisAsFloat = MathOperations::stringToFloat($preis);

        return MathOperations::floatToString($preisAsFloat * $this->menge);
      } elseif ($name === 'gewicht_gesamt') {
        $gewicht = $this->artikel->getVarValue('gewicht');

        return $gewicht * $this->menge;
      }
    }

    return '';
  }

  public function toBestellungXmlPos()
  {
    if (is_null($this->artikel)) {
      return null;
    }
    $result = new BestellungXmlPos();
    $result->anzahl = $this->menge;
    $result->objekt_id = $this->artikel->objekt_id;

    return $result;
  }
}